Loading...
Searching...
No Matches
novas-cspice.h File Reference

SuperNOVAS functions interfacing with the NAIF CSPICE Toolkit. More...

## Functions

int | cspice_add_kernel (const char *filename)
| Adds a SPICE kernel to the currently managed open kernels.
int | cspice_remove_kernel (const char *filename)
| Removes a SPICE kernel from the currently managed open kernels.
int | novas_cspice_is_thread_safe ()
| Checks if the CSPICE plugin is thread safe.
int | novas_use_cspice ()
| Sets CSPICE as the default ephemeris provider for all types of Solar-system objects (both NOVAS_PLANET and NOVAS_EPHEM_OBJECT types).
int | novas_use_cspice_ephem ()
| Sets a ephemeris provider for NOVAS_EPHEM_OBJECT types using the NAIF CSPICE library.
int | novas_use_cspice_planets ()
| Sets CSPICE as the ephemeris provider for the major planets (and Sun, Moon, SSB...) using the NAIF CSPICE library.

## Detailed Description

SuperNOVAS functions interfacing with the NAIF CSPICE Toolkit.

Date
  Created on Nov 12, 2024

Author
  Attila Kovacs